org.eclipse.microprofile.openapi.annotations.security

## Annotation Type SecurityRequirement

    @Target(value={METHOD,TYPE})
     @Retention(value=RUNTIME)
     @Repeatable(value=SecurityRequirements.class)
     @Inherited
    public @interface SecurityRequirement

Specifies a security requirement for an operation.

Applying this annotation to a method or class is equivalent to applying a `SecurityRequirementsSet` annotation containing only this annotation.

See Also:
  SecuirtyRequirement Object

### Required Element Summary

Required Elements
`String` `name` Name MUST correspond to a security scheme which is declared in the Security Schemes under the Components Object.

### Optional Element Summary

Optional Elements
`String[]` `scopes` If the security scheme referred by the name property is of type "oauth2" or "openIdConnect", then the scopes array is a list of scope names required for the execution.

### Element Detail

#### name

    public abstract String name

Name MUST correspond to a security scheme which is declared in the Security Schemes under the Components Object.

Returns:
  the name of this Security Requirement instance

#### scopes

    public abstract String[] scopes

If the security scheme referred by the name property is of type "oauth2" or "openIdConnect", then the scopes array is a list of scope names required for the execution.

For other security scheme types, the array MUST be empty.

Returns:
  a list of scope names required for the execution of this Security Requirement instance.

Default:
  {}